# Uses of Class
org.opensaml.saml.security.impl.MetadataCredentialResolver

Packages that use MetadataCredentialResolver
Package
Description
org.opensaml.saml.security.impl
Classes related to verifying various credentials within a SAML system.

## Uses of MetadataCredentialResolver in org.opensaml.saml.security.impl

Fields in org.opensaml.saml.security.impl declared as MetadataCredentialResolver
Modifier and Type
Field
Description
`private MetadataCredentialResolver`
SAMLMetadataEncryptionParametersResolver.`credentialResolver`
Metadata credential resolver.
Methods in org.opensaml.saml.security.impl that return MetadataCredentialResolver
Modifier and Type
Method
Description
`protected MetadataCredentialResolver`
SAMLMetadataEncryptionParametersResolver.`getMetadataCredentialResolver()`
Get the metadata credential resolver instance to use to resolve encryption credentials.
Constructors in org.opensaml.saml.security.impl with parameters of type MetadataCredentialResolver
Modifier
Constructor
Description
``
`SAMLMetadataEncryptionParametersResolver(MetadataCredentialResolver resolver)`
Constructor.